function  battle_bai039(npcID)--姜承
	local hp=battle.GetSelfHP(2)

	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	local m=flag.GetBattleValue(16001)   --阶段控制
	local n=flag.GetBattleValue(16002)   --临时回合计数
	n=n+1
	flag.SetBattleValue(16002,n)
	
	local s1=flag.GetBattleValue(16005)  --运动模糊
	local s2=flag.GetBattleValue(16006)  --滤镜
	
	if hp>15 then
		local a=battle.GetRndNumber(1,10)
		if a>=1 and a<=4 then
			local id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,323,1)
		elseif a>=5 and  a<=7 then
			local id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,324,1)
		elseif a>=8 and  a<=9 then
			local id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,325,1)
		else
			local id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,326,1)
		end
	
	else
		if m==0 then
			flag.SetBattleValue(16001,1)
			local id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,327,1)
		elseif m==1 then
			flag.SetBattleValue(16001,2)
			local id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,323,1)
		elseif m==2 then
			flag.SetBattleValue(16001,3)
			local id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,324,1)
		elseif m==3 then
			flag.SetBattleValue(16001,4)
			local id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,325,1)
		elseif m==4 then
			flag.SetBattleValue(16001,5)
			local id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,328,1)
		else
			local id = battle.GetRndPlayer()
			battle.SetSkillScale(1000)
			battle.MagicToPlayer(id,328,1)
		end
	
	end
	
	
	
end